Bug 1094043 - Unable to wake from sleep on 2014 Thinkpad X1 Carbon Touch
Unable to wake from sleep on 2014 Thinkpad X1 Carbon Touch
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel-module-thinkpad (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Carpenter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-04 13:25 EDT by Joe Sadusk
Modified: 2015-06-29 16:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 16:26:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Sadusk 2014-05-04 13:25:33 EDT
Description of problem:
This is for the 2014 version of the Thinkpad X1 Carbon Touch, the one with the adaptive keystrip.

When sleeping or hibernating for any reason (lid closed, command line, gnome menu, timeout), laptop appears to go to sleep, but cannot be woken up.  Screen goes black, fans stop, power light starts slow blinking as typical for sleep.  Opening the lid, hitting keys or mouse, or pushing the power button do not wake the computer. The power light continues to slow blink.  The only thing that breaks the laptop out of this state is holding the power button until hard poweroff.  After booting again the laptop is fine.  Sleeping from windows works, so this isn't faulty hardware.

One thing that is strange is that the adaptive keystrip never powers off during sleep.  When sleeping from windows the keystrip goes blank.

Nothing in dmesg or journalctl seems to show anything going wrong, here is the log from when it goes to sleep to the next boot:

May 04 12:35:30 localhost.localdomain systemd-logind[677]: Power key pressed.
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> sleep requested (sleeping: no  enabled: yes)
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> sleeping or disabling...
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> (enp0s25): device state change: unavailable -> unmanaged (reason 'sleeping') [20 10 37]
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> (enp0s25): taking down device.
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> NetworkManager state is now ASLEEP
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> (wlp3s0): device state change: config -> unmanaged (reason 'sleeping') [50 10 37]
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> (wlp3s0): deactivating device (reason 'sleeping') [37]
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <info> (wlp3s0): taking down device.
May 04 12:35:30 localhost.localdomain firewalld[635]: 2014-05-04 12:35:30 ERROR: UNKNOWN_INTERFACE: wlp3s0
May 04 12:35:30 localhost.localdomain avahi-daemon[645]: Withdrawing address record for fe80::7e7a:91ff:fe8b:aa56 on wlp3s0.
May 04 12:35:30 localhost.localdomain NetworkManager[758]: <warn> (wlp3s0) firewall zone remove failed: (32) UNKNOWN_INTERFACE: wlp3s0
May 04 12:35:31 localhost.localdomain gnome-session[1613]: Gjs-Message: JS LOG: An active wireless connection, in infrastructure mode, involves no access point?
May 04 12:35:31 localhost.localdomain gnome-session[1613]: Gjs-Message: JS LOG: An active wireless connection, in infrastructure mode, involves no access point?
May 04 12:35:32 localhost.localdomain systemd[1]: Starting Sleep.
May 04 12:35:32 localhost.localdomain systemd[1]: Reached target Sleep.
May 04 12:35:32 localhost.localdomain systemd[1]: Starting Suspend...
-- Reboot --
May 04 12:39:44 localhost.localdomain systemd-journal[390]: Runtime journal is using 8.0M (max allowed 393.2M, trying to leave 589.9M free of 3.8G available → current limit 393.2M).
May 04 12:39:44 localhost.localdomain systemd-journal[390]: Runtime journal is using 8.0M (max allowed 393.2M, trying to leave 589.9M free of 3.8G available → current limit 393.2M).
May 04 12:39:44 localhost.localdomain systemd-journald[113]: Received SIGTERM
May 04 12:39:44 localhost.localdomain kernel: type=1404 audit(1399207184.185:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
May 04 12:39:44 localhost.localdomain kernel: SELinux: 2048 avtab hash slots, 99611 rules.
May 04 12:39:44 localhost.localdomain kernel: SELinux: 2048 avtab hash slots, 99611 rules.
May 04 12:39:44 localhost.localdomain kernel: SELinux:  8 users, 86 roles, 4799 types, 280 bools, 1 sens, 1024 cats
May 04 12:39:44 localhost.localdomain kernel: SELinux:  83 classes, 99611 rules
May 04 12:39:44 localhost.localdomain kernel: SELinux:  Completing initialization.
May 04 12:39:44 localhost.localdomain kernel: SELinux:  Setting up existing superblocks.
May 04 12:39:44 localhost.localdomain kernel: SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
May 04 12:39:44 localhost.localdomain kernel: SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
May 04 12:39:44 localhost.localdomain kernel: SELinux: initialized (dev bdev, type bdev), uses genfs_contexts


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  Sleep via command line, menu or lid close
2.  Attempt to wake with power button


Actual results:
Nothing happens.

Expected results:
Laptop should wake up.


Additional info:
Comment 1 Jared Smith 2014-05-27 12:01:46 EDT
I've found that updating to the latest BIOS (1.14 in my case, but I think the problem was fixed in 1.13) seems to have fixed the problem, and I have no problems suspending or unsuspending any more.

(Also note that if you try to download the bootable ISO image from Lenovo's website, there's a typo in the filename and you'll get a "File not found" error.  Look at the file name for the .exe version, and change the ".exe" to be ".iso" and that should work for you.)
Comment 2 Joe Sadusk 2014-06-01 22:08:58 EDT
The BIOS update fixed it completely.  Thanks!  I guess this is not a bug then
Comment 3 Fedora End Of Life 2015-05-29 07:45:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 16:26:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.